jdbcDataSourceFactory (HSQLDB 1.8.0.10 API)
Keywords: org.hsqldb.jdbc.jdbcDataSourceFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb.jdbc
Class jdbcDataSourceFactory

    java.lang.Object
      org.hsqldb.jdbc.jdbcDataSourceFactory

All Implemented Interfaces:
  javax.naming.spi.ObjectFactory

public class jdbcDataSourceFactory
extends java.lang.Object
implements javax.naming.spi.ObjectFactory

A JNDI ObjectFactory for creating `jdbcDatasource` object instances.

Author:
  deforest@users

Constructor Summary
`jdbcDataSourceFactory()`

Method Summary
`java.lang.Object` | `getObjectInstance(java.lang.Object obj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable environment)` Creates a jdbcDatasource object using the location or reference information specified.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### jdbcDataSourceFactory

    public jdbcDataSourceFactory()

Method Detail

### getObjectInstance

    public java.lang.Object getObjectInstance(java.lang.Object obj,
                                              javax.naming.Name name,
                                              javax.naming.Context nameCtx,
                                              java.util.Hashtable environment)
                                       throws java.lang.Exception

  Creates a jdbcDatasource object using the location or reference information specified.

  The Reference object should support the properties, database, user, password.

  Specified by:
    `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`
  Parameters:
    `obj` - The reference information used in creating a jdbcDatasource object.
    `name` - ignored
    `nameCtx` - ignored
    `environment` - ignored
  Returns:
    A newly created jdbcDataSource object; null if an object cannot be created.
  Throws:
    `java.lang.Exception` - never

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 - 2005 HSQL Development Group. All Rights Reserved.